# Application Methods

The functions listed in this section are functions that you need to use within your application in order to interface with the QLM License Server.

Before calling any of the functions below, you need to set the CommunicationEncryptionKey property of the QlmLicense object to the value specified in your Site Properties (Manage Keys tab / Site).

If you are developing an application in .NET, it is highly recommended that you obfuscate your code, and more specifically that you encrypt sensitive strings such as the CommunicationEncryptionKey.

The QLM License Server provides a more extended set of APIs that you may want to use for managing your license keys or for integrating licensing with any other internal process that you may have. The extended set of functions is described under the [License Server Management API](https://soraco.readme.io/reference/server-side-management-methods) section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
